Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jcl
Class LogFactoryImpl

    java.lang.Object
      org.apache.commons.logging.LogFactory
          org.apache.logging.log4j.jcl.LogFactoryImpl

    public class LogFactoryImpl

extends org.apache.commons.logging.LogFactory

Log4j binding for Commons Logging.

Field Summary

Fields inherited from class org.apache.commons.logging.LogFactory
`DIAGNOSTICS_DEST_PROPERTY, factories, FACTORY_DEFAULT, FACTORY_PROPERTIES, FACTORY_PROPERTY, HASHTABLE_IMPLEMENTATION_PROPERTY, nullClassLoaderFactory, PRIORITY_KEY, SERVICE_ID, TCCL_KEY`

Constructor Summary
`LogFactoryImpl()`

Method Summary
`Object` | `getAttribute(String name)`
`String[]` | `getAttributeNames()`
`org.apache.commons.logging.Log` | `getInstance(Class clazz)`
`org.apache.commons.logging.Log` | `getInstance(String name)`
`void` | `release()` This method is supposed to clear all loggers.
`void` | `removeAttribute(String name)`
`void` | `setAttribute(String name, Object value)`

Methods inherited from class org.apache.commons.logging.LogFactory
`createFactory, directGetContextClassLoader, getClassLoader, getContextClassLoader, getFactory, getLog, getLog, handleThrowable, isDiagnosticsEnabled, logRawDiagnostic, newFactory, newFactory, objectId, release, releaseAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFactoryImpl

    public LogFactoryImpl()

Method Detail

### getInstance

    public org.apache.commons.logging.Log getInstance(String name)
                                               throws org.apache.commons.logging.LogConfigurationException

  Specified by:
    `getInstance` in class `org.apache.commons.logging.LogFactory`
  Throws:
    `org.apache.commons.logging.LogConfigurationException`

### getAttribute

    public Object getAttribute(String name)

  Specified by:
    `getAttribute` in class `org.apache.commons.logging.LogFactory`

### getAttributeNames

    public String[] getAttributeNames()

  Specified by:
    `getAttributeNames` in class `org.apache.commons.logging.LogFactory`

### getInstance

    public org.apache.commons.logging.Log getInstance(Class clazz)
                                               throws org.apache.commons.logging.LogConfigurationException

  Specified by:
    `getInstance` in class `org.apache.commons.logging.LogFactory`
  Throws:
    `org.apache.commons.logging.LogConfigurationException`

### release

    public void release()

  This method is supposed to clear all loggers. In this implementation it will clear all the logger wrappers but the loggers managed by the underlying logger context will not be.

  Specified by:
    `release` in class `org.apache.commons.logging.LogFactory`

### removeAttribute

    public void removeAttribute(String name)

  Specified by:
    `removeAttribute` in class `org.apache.commons.logging.LogFactory`

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Specified by:
    `setAttribute` in class `org.apache.commons.logging.LogFactory`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.